<?
date_default_timezone_set("America/Lima");

set_time_limit (3600 );


//define('SF_ROOT_DIR', "/home/sinergiaperu/public_html/sinergia");
define('SF_ROOT_DIR', "C://wamp/www/sinergia");
define('SF_APP',      'sys');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR."lib".DIRECTORY_SEPARATOR."functions".DIRECTORY_SEPARATOR."HelperHelper.php");
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config_core_compile.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'cache'.DIRECTORY_SEPARATOR.'config_autoload.php');


////////////////////////////////////////////////////////////////////////////////////////
//clases incluidas del sistema

$dia = date("N");
if($dia == 7) exit;

$con = Conexion::getConexion();
$a_param = Conexion::getParamDbByAlias($apps);

if (!mysql_select_db($a_param['db'], $con)) {
    echo 'Could not select database';
    exit;
}



if(!$Fecha) $Fecha=  date('Y-m-d');


$sql = "SELECT IdSucursal
		FROM `cr_sucursal`
		WHERE 	1=1
				and Eliminado = '0' ";
	
$result = mysql_query($sql,$con);

$num_rows = mysql_num_rows($result);
    

if($num_rows > 0){
  while ($o_valor = mysql_fetch_object($result)) {
  	$IdSucursal = $o_valor->IdSucursal;
  	
	
	$sql = "SELECT IdAdministrador
			FROM `cr_sucursal`
			WHERE 	1=1
					and IdSucursal = '".$IdSucursal."' ";
		
	$resultI = mysql_query($sql,$con);

	$num_rowsI = mysql_num_rows($resultI);
		

	if($num_rowsI > 0){
	  while ($o_valorI = mysql_fetch_array($resultI)) {
		$IdAdministrador = $o_valorI["IdAdministrador"];
		
		
		$sql = "SELECT IdColaborador,PagoRpm
				FROM `cr_colaborador`
				WHERE 	1=1
						and ( IdPadre = '".$IdAdministrador."' or idcolaborador= = '".$IdAdministrador."')
						and eliminado = '0' ";
			
		$resultC = mysql_query($sql,$con);

		$num_rowsC = mysql_num_rows($resultC);
			

		if($num_rowsC > 0){
		  while ($o_valorI = mysql_fetch_array($resultC)) {
			$IdColaborador = $o_valorI["IdColaborador"];
			$PagoRpm = $o_valorI["PagoRpm"];
			
			
			$sql = "INSERT INTO  `cr_gasto_operativo`
					(
					IdGastoOperativo,IdColaborador,Estado,Monto,Fecha,UsuarioCreacion,FechaCreacion)
					values
					(null,'".$IdColaborador."','A','".$PagoRpm."','".$Fecha."','sys.sytem',now()
					)
					 ";
			
			$resultInsert = mysql_query($sql,$con);
			
			
			
		  }
		}
		
	  }
	}
  	
  }
}





exit;

